Package org.eclipse.ui

## Interface IExportWizard

All Superinterfaces:
  `IWizard`, `IWorkbenchWizard`

All Known Implementing Classes:
  `FileSystemExportWizard`, `ZipFileExportWizard`

    public interface IExportWizard
    extends IWorkbenchWizard

Interface for export wizards.

Clients should implement this interface and include the name of their class in a wizard contributed to the workbench's export wizard extension point (named `"org.eclipse.ui.exportWizards"`). For example, the plug-in's XML markup might contain:

     <extension point="org.eclipse.ui.exportWizards">
       <wizard
           id="com.example.myplugin.blob"
           name="Blob File"
           class="com.example.myplugin.BlobFileExporter"
           icon="icons/export_blob_wiz.gif">
         <description>Export resources to a BLOB file</description>
         <selection class="org.eclipse.core.resources.IResource" />
       </wizard>
     </extension>

See Also:
  `IWizard`

### Method Summary

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

### Methods inherited from interface org.eclipse.ui.IWorkbenchWizard

`init`